# Get

## Retrieve a subscription

### Parameters:

| Name           | Optional / Required | Data type | Description                                                                                                                                  | Default                                                                               |
| -------------- | ------------------- | --------- | -------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------- |
| id             | required            | Integer   | One of your subscription ids                                                                                                                 |                                                                                       |
| return\_fields | optional            | String    | Customize the responses by setting the return fields (id, itc\_product\_id, name, description, duration, kiosks, create\_date, update\_date) | id, itc\_product\_id, name, description, duration, kiosks, create\_date, update\_date |

### Demo

&#x20;URL Find your token on - [yumpu.com](https://www.yumpu.com/en/account/profile/api) Token&#x20;

&#x20;id&#x20;

#### Optional parameters:

&#x20;return\_fields&#x20;

Add optional parametersRun request

```
```

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X GET -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" "https://api.yumpu.com/2.0/account/subscription.json?id=QOjiaWfWYWd7TBHE"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
    'id' => 'QOjiaWfWYWd7TBHE'
);
$listSubscription = $yumpu->getSubscription($data);
print_r($listSubscription);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  id: 'QOjiaWfWYWd7TBHE'
};
yumpu.getSubscription(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String[] params = {"id=QOjiaWfWYWd7TBHE"};
System.out.println(y.getSubscription(params));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

```javascript
{
   "subscription": {
     "id": "QOjiaWfWYWd7TBHE",
     "create_date": "2015-01-27 13:21:37",
     "update_date": "0000-00-00 00:00:00",
     "itc_product_id": "subscription1",
     "name": "subscription1",
     "description": "subscription1",
     "duration": "365",
     "kiosks": [
       {
         "id": "72",
         "type": "appkiosk"
       }
     ]
   },
   "state": "success",
   "completed_in": "0.0434"
 }
```
